//==========================================================================
// グリッド [EditorGrid.h]
// author: tatsuya ogawa
//==========================================================================
#pragma once

//==========================================================================
// include
//==========================================================================
#include "dxlib.h"

namespace Editor
{
    //==========================================================================
    //
    // class  : EditorGrid
    // Content: グリッド
    //
    //==========================================================================
    class EditorGrid : public mslib::ObjectManager
    {
    public:
        EditorGrid();
        ~EditorGrid();

        /**
        @brief 初期化
        */
        void Init() override;

        /**
        @brief 更新
        */
        void Update() override;

        /**
        @brief デバッグ
        */
        void Debug() override;
    };
}